gdcm::DummyValueGenerator Class Reference

Class for generating dummy value. More...

`#include <gdcmDummyValueGenerator.h>`

## Static Public Member Functions

static const char * | Generate (const char *input)

## Detailed Description

Class for generating dummy value.

See also
  Anonymizer

## Member Function Documentation

## Generate()

const char * gdcm::DummyValueGenerator::Generate | ( | const char * | input | ) |

static

Generate a dummy value from an input value. This is guarantee to always return the same output value when input is identical. Return an array of bytes that can be used for anonymization purpose, return NULL on error NOT THREAD SAFE

The documentation for this class was generated from the following file:

- gdcmDummyValueGenerator.h